#
# spec file for package ghc-resourcet
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name resourcet
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.1.9
Release:        lp150.1.8
Summary:        Deterministic allocation and freeing of scarce resources
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-mmorph-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
Hackage documentation generation is not reliable. For up to date documentation,
please see: <http://www.stackage.org/package/resourcet>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jan  9 2017 psimons@suse.com
- Update to version 1.1.9 with cabal2obs.
* Mon Nov 14 2016 psimons@suse.com
- Update to version 1.1.8.1 with cabal2obs.
* Mon Oct 17 2016 psimons@suse.com
- Update to version 1.1.8 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 1.1.7.5 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.1.7.4 revision 0 with cabal2obs.
* Sat May  7 2016 mimi.vx@gmail.com
- update to 1.1.7.4
  * Make test suite slightly more robust
* Tue Mar  8 2016 mimi.vx@gmail.com
- update to 1.1.7.3
* Mon Feb 22 2016 mimi.vx@gmail.com
- update to 1.1.7.2
  * Remove upper bound on transformers
* Wed Jan 27 2016 mimi.vx@gmail.com
- update to 1.1.7.1
  * transformers-compat 0.5
* Mon Dec  7 2015 mimi.vx@gmail.com
- update to 1.1.7
  * Canonicalise Monad instances
* Tue Aug  4 2015 mimi.vx@gmail.com
- update to 1.1.6
  * Safe/Trustworthy for resourcet
* Tue May 26 2015 mimi.vx@gmail.com
- update to 1.1.5
  * Add pass-through instances for Alternative and MonadPlus
* Tue Apr 21 2015 mimi.vx@gmail.com
- update to 1.1.4.1
  * Add `MonadResource ExceptT` instance
* Sun Feb  1 2015 mpluskal@suse.com
- Add dependency on ghc-exceptions which is now required
- Update to 1.1.3.3:
  + monad-control-1.0 support
  + Provide the `withEx` function to interact nicely with the
    exceptions package.
* Sun Oct  6 2013 sbahling@suse.com
- Initial package - version 0.4.8
